import React from 'react';
declare type InputModifier = 'shiftKey' | 'altKey' | 'ctrlKey' | 'metaKey';
export declare type InputDragModifiers = {
    [key in InputModifier]?: number;
};
export declare type InputWithDragChangeHandler = (newValue: number) => void;
interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'onChange' | 'onInput' | 'value'> {
    value: number;
    modifiers?: InputDragModifiers;
    onChange?: InputWithDragChangeHandler;
}
export default function InputDrag({ style: _style, modifiers: _modifiers, onChange, value, ...props }: InputProps): JSX.Element;
export {};
